Debian Bug report logs - #610392
ITP: js-of-ocaml -- OCaml bytecode to JavaScript compiler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stéphane Glondu <glondu@debian.org>

Date: Tue, 18 Jan 2011 09:39:01 UTC

Owned by: "Stéphane Glondu" <glondu@debian.org>

Severity: wishlist

Fixed in version js-of-ocaml/1.0+dfsg-1

Done: Stéphane Glondu <glondu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>:
Bug#610392; Package wnpp. (Tue, 18 Jan 2011 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org, "Stéphane Glondu" <glondu@debian.org>. (Tue, 18 Jan 2011 09:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: js-of-ocaml -- OCaml bytecode to JavaScript compiler
Date: Tue, 18 Jan 2011 10:34:47 +0100
Package: wnpp
Severity: wishlist
Owner: "Stéphane Glondu" <glondu@debian.org>

* Package name    : js-of-ocaml
  Version         : 1.0
  Upstream Author : Jérôme Vouillon <jerome.vouillon@pps.jussieu.fr>
* URL             : http://ocsigen.org/js_of_ocaml/
* License         : LGPL-2+
  Programming Lang: OCaml, JavaScript
  Description     : OCaml bytecode to JavaScript compiler

 Js_of_ocaml is a compiler of OCaml bytecode to JavaScript. It makes
 it possible to run OCaml programs in a web browser. Its key features
 are the following:
  * the whole language, and most of the standard library are
    supported;
  * the compiler is easy to install: it only depends on Findlib and
    Lwt;
  * the generated code can be used with any web server and browser;
  * you can use a standard installation of OCaml to compile your
    programs. In particular, you do not have to recompile a library to
    use it with Js_of_ocaml. You just have to link your program with a
    specific library to interface with the browser APIs.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Stéphane Glondu <glondu@debian.org>:
You have taken responsibility. (Thu, 14 Apr 2011 12:33:17 GMT) Full text and rfc822 format available.

Notification sent to Stéphane Glondu <glondu@debian.org>:
Bug acknowledged by developer. (Thu, 14 Apr 2011 12:33:17 GMT) Full text and rfc822 format available.

Message #12 received at 610392-close@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 610392-close@bugs.debian.org
Subject: Bug#610392: fixed in js-of-ocaml 1.0+dfsg-1
Date: Thu, 14 Apr 2011 12:32:25 +0000
Source: js-of-ocaml
Source-Version: 1.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
js-of-ocaml, which is due to be installed in the Debian FTP archive:

js-of-ocaml_1.0+dfsg-1.debian.tar.gz
  to main/j/js-of-ocaml/js-of-ocaml_1.0+dfsg-1.debian.tar.gz
js-of-ocaml_1.0+dfsg-1.dsc
  to main/j/js-of-ocaml/js-of-ocaml_1.0+dfsg-1.dsc
js-of-ocaml_1.0+dfsg.orig.tar.gz
  to main/j/js-of-ocaml/js-of-ocaml_1.0+dfsg.orig.tar.gz
libjs-of-ocaml-dev_1.0+dfsg-1_amd64.deb
  to main/j/js-of-ocaml/libjs-of-ocaml-dev_1.0+dfsg-1_amd64.deb
libjs-of-ocaml-doc_1.0+dfsg-1_all.deb
  to main/j/js-of-ocaml/libjs-of-ocaml-doc_1.0+dfsg-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610392@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stéphane Glondu <glondu@debian.org> (supplier of updated js-of-ocaml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 23 Jan 2011 12:40:04 +0100
Source: js-of-ocaml
Binary: libjs-of-ocaml-dev libjs-of-ocaml-doc
Architecture: source amd64 all
Version: 1.0+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Stéphane Glondu <glondu@debian.org>
Description: 
 libjs-of-ocaml-dev - OCaml bytecode to JavaScript compiler
 libjs-of-ocaml-doc - OCaml bytecode to JavaScript compiler (documentation)
Closes: 610392
Changes: 
 js-of-ocaml (1.0+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #610392)
Checksums-Sha1: 
 99c9c70ef9621b367f411376b70cfbfc27452ee5 2047 js-of-ocaml_1.0+dfsg-1.dsc
 683ce1c9fb71c94e59dcc9b01fe890f8622bbda6 283281 js-of-ocaml_1.0+dfsg.orig.tar.gz
 c713d91d2e0258605877e333b6732d09cb43119e 4134 js-of-ocaml_1.0+dfsg-1.debian.tar.gz
 9d79b343165946c2885dbdeffeeadf54468b04cc 1019404 libjs-of-ocaml-dev_1.0+dfsg-1_amd64.deb
 28dd68901e74b70fea2a7a3b68b9aeb55fb6520d 374350 libjs-of-ocaml-doc_1.0+dfsg-1_all.deb
Checksums-Sha256: 
 1370d8c56c8f75cbfefc2f3b2088518dcdd981519e67248f6a93e905ce5022f8 2047 js-of-ocaml_1.0+dfsg-1.dsc
 bb34a9d5fdad2701f2e7a4ec5b4eb787a8f41fc4a78d2ba1b29beea52b45ebad 283281 js-of-ocaml_1.0+dfsg.orig.tar.gz
 c64f1872f6458b3da1cebd0e666742e8624b9c3d1ff4444b7daaa8c154c622cd 4134 js-of-ocaml_1.0+dfsg-1.debian.tar.gz
 9f9cf1dcb210c0986d4bd75c00d48d78076a3ac32e2c2f162b46a291395beb81 1019404 libjs-of-ocaml-dev_1.0+dfsg-1_amd64.deb
 ffa94b50944ca0d819626d41e69198f606278772f5d14ee0ebc6c132656b6380 374350 libjs-of-ocaml-doc_1.0+dfsg-1_all.deb
Files: 
 7bb4ae048f19e3f8d92120e7259f9df6 2047 ocaml optional js-of-ocaml_1.0+dfsg-1.dsc
 19004ca48edd6ac8851755192394907b 283281 ocaml optional js-of-ocaml_1.0+dfsg.orig.tar.gz
 6939d4d88a3f05c55ca85e3477641a19 4134 ocaml optional js-of-ocaml_1.0+dfsg-1.debian.tar.gz
 6e2af44155b07112e03545cd6478e12b 1019404 ocaml optional libjs-of-ocaml-dev_1.0+dfsg-1_amd64.deb
 4788f381f74805929030414fccf2d998 374350 doc optional libjs-of-ocaml-doc_1.0+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJNgTxKAAoJEHhT2k1JiBrTUZIQAKuPhewLglxI5jQUbVdzcQaQ
hU/qaEleqOG+bZ38J0WDQOQBrzitrnnwh/CK7rvOfZsLVGcj3orRue2ihV+BTrUj
rrEES6CHQ6VCmGrBS+tt2vN0WGJVAXBC3h4kB6qqttbyMYDm0WInCAqudZ/09hjk
760RTY4xDeGVnt8JikzDYxlBTmN65yw/loSz4tbSap4+BoVQ/xk3Ox5bFIW5ARf0
9mmO0rkrCsvdoT1/MEKIf+a2EENOgZJo6WWWJXSMYNp2Fbpm5OmxNiHiHhfEiYKU
ucQ2Q4eRRu4swnzLC0FZ1bA7Zdl/OEmcVbjf+k+7IgJXPCqsREFoazGsCltRU1HF
UxuGUDkkz37PErQ+ax+GZoQ6+1UKC3HAvHc0rU/vIQS3w4tMb/i6Jxqv1sz/tRlH
mVykkcsV2TC9+sMNEMu/+d+oZSANTnOl+QCLLTkJM0xjyB1mhmGCgYAd/9/50umV
7NOY9V2lThgSQl0e1y5SoZenE5NLm18OllbOnq5735rxRf5ttkgJz/h6kpwwZY/U
Lv0FlHNPWMGw7jOLO8n4I+hSj7SOjeJs67ewvyWopM3XRgo0lSGtQT3DKcdIU+mj
PbDAwo5GIyQTj1Uq+kk5nCJqTc78//KpJUrCPJMuY0JpMR+jlFa/AT8T4ob76KfH
E3Ch+ooaIfgSGUbGaTVd
=t0FT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 May 2011 07:45:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:07:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.